<?php
// テーマオプションを取得
$options = get_desing_plus_option();

// ページタイトルを取得
$title = wp_get_document_title();

// ページ URL を取得
$url = ( empty( $_SERVER['HTTPS'] ) ? 'http://' : 'https://' ) . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'];

if ( $options['show_footer_bar'] ) :
	$footer_bar_btn_classes = array();
	$footer_bar_btn_target = '';
	$footer_bar_btn_url = '';
?>
<ul class="dp-footer-bar">
<?php
	// ボタンを表示
	foreach ( $options['footer_bar_btns'] as $key => $value ) :
		switch ( $value['type'] ) {
			// ボタンタイプ：デフォルト
			case 'type1' :
				$footer_bar_btn_classes = array( 'dp-footer-bar-item' );
				$footer_bar_btn_target = $value['target']; 
				$footer_bar_btn_url = $value['url'];		
				break;
			// ボタンタイプ：シェア
			case 'type2' :
				$footer_bar_btn_classes = array( 'dp-footer-bar-share', 'dp-footer-bar-item' );
				$footer_bar_btn_url = '#';
				break;
			// ボタンタイプ：電話番号
			case 'type3' :
				$footer_bar_btn_classes = array( 'dp-footer-bar-item' );
				$footer_bar_btn_url = 'tel:' . $value['number'];
		}
?>
	<li class="<?php echo esc_attr( implode( ' ', $footer_bar_btn_classes ) ); ?>">
		<a href="<?php echo esc_url( $footer_bar_btn_url ); ?>"<?php echo $footer_bar_btn_target ? ' target="_blank"' : ''; ?>>
			<span class="dp-footer-bar-icon icon-<?php echo esc_attr( $value['icon'] ); ?>"><?php echo esc_html( $value['label'] ); ?></span>
		</a>
	</li>
<?php
	endforeach;
?>
</ul>
<div id="modal-overlay" class="modal-overlay hide">
	<div class="modal-close icon-close"></div>
</div>
<div id="modal-content" class="modal-content hide">
	<ul class="share clearfix">
		<li class="share-button">
			<a class="icon-twitter" href="<?php echo esc_url( 'https://twitter.com/intent/tweet?url=' . urlencode( $url ) . '&text=' . urlencode( $title ) ); ?>"></a>
		</li>
		<li class="share-button">
			<a class="icon-facebook" href="<?php echo esc_url( 'https://www.facebook.com/sharer/sharer.php?u=' . urlencode( $url ) ); ?>"></a>
		</li>
		<li class="share-button">
			<a class="icon-line" href="<?php echo esc_url( 'http://line.me/R/msg/text/?' . urlencode( $title ) ); ?>"></a>
		</li>
		<li class="share-button">
			<a class="icon-hatebu" href="<?php echo esc_url( 'http://b.hatena.ne.jp/add?mode=confirm&url=' . urlencode( $url ) . '&title=' . urlencode( $title ) ); ?>"></a>
		</li>
	</ul>
</div> 
<?php
endif;
?>